#
# $Id: fas.mak,v 1.3 2010/09/23 18:12:17 scott Exp $
#
# Description: Makefile for fas program
#
# $Log: fas.mak,v $
# Revision 1.3  2010/09/23 18:12:17  scott
# Update version number
#
# Revision 1.2  2010/09/03 20:32:58  scott
# Add PHONY targets 'vars' and 'check'.
#
# Revision 1.1  2010/07/27 21:19:58  scott
# Initial revision
#
#

TARGET = fas
VERSION = 1.5.1
LABEL = V$(subst .,_,$(VERSION))

DEFS += -DVERSION=$(VERSION)

MODULES = fasta path

OBJECTS = $(addsuffix .o,$(TARGET) $(MODULES))
HEADERS = $(addsuffix .h,$(MODULES))
SOURCES = $(addsuffix .c,$(TARGET) $(MODULES)) $(HEADERS)

OPT = -O3
CFLAGS = $(OPT) $(DEFS) # -I. -I$(INCDIR)

.PHONY: all
all: $(TARGET)

.PHONY: check
check: $(TARGET)
	cd checks && ./fas.sh

.PHONY: clean
clean:
	$(RM) $(OBJECTS) $(TARGET)$(EXE)

.PHONY: vars
vars:
	@echo TARGET: $(TARGET)
	@echo VERSION: $(VERSION)
	@echo LABEL: $(LABEL)
	@echo OBJECTS: $(OBJECTS)
	@echo HEADERS: $(HEADERS)
	@echo SOURCES: $(SOURCES)
	@echo DEFS: $(DEFS)

$(TARGET): $(OBJECTS)

$(OBJECTS): $(MAKEFILE_LIST) # rebuild if MAKEFILE changes
# establish module specific dependencies
$(TARGET).o: $(HEADERS)
#module.o: module.h
