#
# $Id: mscore.mak,v 1.1 2010/08/05 21:23:49 scott Exp $
#
# Description: Makefile for mscore program
#
# $Log: mscore.mak,v $
# Revision 1.1  2010/08/05 21:23:49  scott
# Initial revision
#
#

TARGET = mscore
VERSION = 1.1
LABEL = V$(subst .,_,$(VERSION))

DEFS += -DVERSION=$(VERSION)

MODULES = fasta

OBJECTS = $(addsuffix .o,$(TARGET) $(MODULES))
HEADERS = $(addsuffix .h,$(MODULES))
SOURCES = $(addsuffix .c,$(TARGET) $(MODULES)) $(HEADERS)

OPT = -O3
CFLAGS = $(OPT) $(DEFS) # -I. -I$(INCDIR)

.PHONY: all
all: $(TARGET)

.PHONY: check
check: $(TARGET)
	cd checks && ./mscore.sh

.PHONY: clean
clean:
	$(RM) $(OBJECTS) $(TARGET)

.PHONY: vars
vars:
	@echo TARGET: $(TARGET)
	@echo VERSION: $(VERSION)
	@echo LABEL: $(LABEL)
	@echo OBJECTS: $(OBJECTS)
	@echo HEADERS: $(HEADERS)
	@echo SOURCES: $(SOURCES)
	@echo DEFS: $(DEFS)

$(TARGET): $(OBJECTS)

$(OBJECTS): $(MAKEFILE_LIST) # rebuild if MAKEFILE changes
# establish module specific dependencies
$(TARGET).o: $(HEADERS)
#module.o: module.h
